Bug 949106 - libreoffice-core drags in both openjdk 1.7.0 and 1.8.0
Summary: libreoffice-core drags in both openjdk 1.7.0 and 1.8.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F19Alpha-accepted, F19AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-04-05 21:49 UTC by Kalev Lember
Modified: 2013-04-19 05:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:46:35 UTC


Attachments (Terms of Use)
Explicitly depend on the preferred java runtime (2.11 KB, text/plain)
2013-04-06 11:05 UTC, Kalev Lember
no flags Details

Description Kalev Lember 2013-04-05 21:49:25 UTC
In F19, there's a new java-1.8.0-openjdk tech preview. Apps are still supposed to use 1.7.0, but 1.8.0 is also made available.

When installing libreoffice-core, it drags in _both_ of the java runtimes, which has considerably increased the F19 Alpha live media size:

Installing for dependencies:
 java-1.7.0-openjdk        x86_64   1:1.7.0.17-2.3.8.4.fc19      fedora    25 M
 java-1.8.0-openjdk        x86_64   1:1.8.0.0-0.1.b79.fc19       fedora   128 M

(I'll post the full yum output in a separate comment.)

This appears to happen because yum's incremental depsolver first satisfies some libreoffice-core requires from java-1.8.0-openjdk, then moves on to libreoffice-ure, and satisfies ure's explicit 'jre' dep with java-1.7.0-openjdk.

I would very much like to stop here and say that it's a bug in the yum depsolver, but I'm afraid this is just how incremental depsolvers work. A libsolv based one would probably do better in this scenario.

Now, I'm envisioning a fix to this:

If we can convince yum during libreoffice-core depsolving that it can't solve all the requires with java-1.8.0-openjdk but needs java-1.7.0-openjdk, then it shouldn't need to drag in 1.8.0 at all. I'm running an libreoffice test build right now and will report back here how it goes.

Comment 1 Kalev Lember 2013-04-05 22:08:53 UTC
# yum install libreoffice-core
Loaded plugins: auto-update-debuginfo, langpacks, remove-with-leaves, security
Resolving Dependencies
--> Running transaction check
---> Package libreoffice-core.x86_64 1:4.0.2.2-1.fc19 will be installed
--> Processing Dependency: libreoffice-ure = 1:4.0.2.2-1.fc19 for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_salhelpergcc3.so.3(UDK_3_0_0)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_salhelpergcc3.so.3(UDK_3.1)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_salhelpergcc3.so.3(LIBO_UDK_3.6)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3_0_0)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.8)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.7)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.6)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.5)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.4)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.3)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.2)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.11)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.10)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(UDK_3.1)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(PRIVATE_file.1)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(PRIVATE_1.1)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(LIBO_UDK_4.0)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(LIBO_UDK_3.6)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3(LIBO_UDK_3.5)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppuhelpergcc3.so.3(UDK_3_0_0)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppuhelpergcc3.so.3(UDK_3.8)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppuhelpergcc3.so.3(UDK_3.7)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppuhelpergcc3.so.3(UDK_3.6)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppuhelpergcc3.so.3(UDK_3.3)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppuhelpergcc3.so.3(UDK_3.2)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppuhelpergcc3.so.3(UDK_3.1)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppuhelpergcc3.so.3(LIBO_UDK_3.9)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppu.so.3(UDK_3_0_0)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppu.so.3(UDK_3.3)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppu.so.3(UDK_3.1)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libjvmfwk.so.3(UDK_3_0_0)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libjvmaccessgcc3.so.3(UDK_3.4)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libjvmaccessgcc3.so.3(UDK_3.1)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libjawt.so(SUNWprivate_1.1)(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libxmlreader.so()(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_salhelpergcc3.so.3()(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_sal.so.3()(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppuhelpergcc3.so.3()(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libuno_cppu.so.3()(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libswdlo.so()(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libjvmfwk.so.3()(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libjvmaccessgcc3.so.3()(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Processing Dependency: libjawt.so()(64bit) for package: 1:libreoffice-core-4.0.2.2-1.fc19.x86_64
--> Running transaction check
---> Package java-1.8.0-openjdk.x86_64 1:1.8.0.0-0.1.b79.fc19 will be installed
---> Package libreoffice-ure.x86_64 1:4.0.2.2-1.fc19 will be installed
--> Processing Dependency: jre >= 1.5.0 for package: 1:libreoffice-ure-4.0.2.2-1.fc19.x86_64
---> Package libreoffice-writer.x86_64 1:4.0.2.2-1.fc19 will be installed
--> Running transaction check
---> Package java-1.7.0-openjdk.x86_64 1:1.7.0.17-2.3.8.4.fc19 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package libreoffice-langpack-en.x86_64 1:4.0.2.2-1.fc19 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                   Arch     Version                      Repository
                                                                           Size
================================================================================
Installing:
 libreoffice-langpack-en   x86_64   1:4.0.2.2-1.fc19             fedora    38 k
Installing for dependencies:
 java-1.7.0-openjdk        x86_64   1:1.7.0.17-2.3.8.4.fc19      fedora    25 M
 java-1.8.0-openjdk        x86_64   1:1.8.0.0-0.1.b79.fc19       fedora   128 M
 libreoffice-core          x86_64   1:4.0.2.2-1.fc19             fedora    65 M
 libreoffice-ure           x86_64   1:4.0.2.2-1.fc19             fedora   2.7 M
 libreoffice-writer        x86_64   1:4.0.2.2-1.fc19             fedora   4.9 M

Transaction Summary
================================================================================
Install  1 Package (+5 Dependent packages)

Comment 2 Kalev Lember 2013-04-06 11:05:58 UTC
Created attachment 732117 [details]
Explicitly depend on the preferred java runtime

I've verified that this patch fixes the issue, so that only java-1.7.0-openjdk gets installed along with libreoffice-core.

Comment 3 Kalev Lember 2013-04-06 19:49:06 UTC
I've pushed the patch (and amended it with a comment with the bug number before the requires). Thanks for the IRC review dtardon!

Comment 4 Fedora Update System 2013-04-07 00:10:58 UTC
libreoffice-4.0.2.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.0.2.2-2.fc19

Comment 5 Kalev Lember 2013-04-07 01:19:12 UTC
Proposing as a F19 Alpha Freeze Exception to bring down the Desktop iso sizes. 1128 MB -> 997 MB in my testing.

Comment 6 Fedora Update System 2013-04-07 17:33:16 UTC
Package libreoffice-4.0.2.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.0.2.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5084/libreoffice-4.0.2.2-2.fc19
then log in and leave karma (feedback).

Comment 7 Adam Williamson 2013-04-08 16:41:27 UTC
Discussed at 2013-04-08 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-04-08/f19alpha-blocker-review-5.2013-04-08-16.01.log.txt . Accepted as a freeze exception issue as it will significantly reduce the size of the Alpha images, which is desirable.

Comment 8 Adam Williamson 2013-04-09 04:27:16 UTC
This is in RC1, unfortunately the live still came out just over 1GB (power-of-ten). Definitely smaller, though. I guess we should verify that LO still works fine, and upkarma the update.

Comment 9 Fedora Update System 2013-04-19 05:46:38 UTC
libreoffice-4.0.2.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.